public class MockCheck : MockItem
{
    public MockItemBooleanProperty enabled;

    public MockCheck ()
    {
        depth = 2;
        x = 0;
        y = 0;
        width = 20;
        height = 20;
        enabled = new MockItemBooleanProperty ("enabled", "Enabled", true);
        enabled.value_changed.connect (() => { redraw (); });
        add_property (enabled);
    }

    public override void draw (Cairo.Context c)
    {
        c.rectangle (x + 2.5, y + 2.5, width - 4, height - 4);
        c.set_source_rgb (1.0, 1.0, 1.0);
        c.fill_preserve ();
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.set_line_width (1.0);
        c.stroke ();

        if (enabled.value)
        {
            c.move_to (x + 4.5, y + 4.5);
            c.rel_line_to (width - 8, height - 8);
            c.rel_move_to (0, -(height - 8));
            c.rel_line_to (-(width - 8), height - 8);
            c.set_source_rgb (0.0, 0.0, 0.0);
            c.stroke ();
        }
    }
}
