public class MockIcon : MockItem
{
    public MockIcon ()
    {
        depth = 3;
        x = 0;
        y = 0;
        width = 20;
        height = 20;
        resizable = true;
    }

    public override void draw (Cairo.Context c)
    {
        draw_star (c);
    }

    private void draw_triangle (Cairo.Context c)
    {
        var radius = int.min (width, height) * 0.5;
        c.move_to (x + width / 2, y + height / 2 - radius);
        for (var i = 1; i < 3; i++)
        {
            var px = Math.sin (2 * Math.PI * i / 3.0);
            var py = Math.cos (2 * Math.PI * i / 3.0);
            c.line_to (x + width / 2 + px * radius, y + height / 2 - py * radius);
        }
        c.close_path ();
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.set_line_width (1.0);
        c.stroke ();
    }

    private void draw_star (Cairo.Context c)
    {
        var radius = int.min (width, height) * 0.5;
        c.move_to (x + width / 2, y + height / 2 - radius);
        for (var i = 1; i < 10; i++)
        {
            var px = Math.sin (2 * Math.PI * i / 10.0);
            var py = Math.cos (2 * Math.PI * i / 10.0);
            var r = radius;
            if (i % 2 == 1)
                r *= 0.5;
            c.line_to (x + width / 2 + px * r, y + height / 2 - py * r);
        }
        c.close_path ();
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.set_line_width (1.0);
        c.stroke ();
    }

    private void draw_wifi (Cairo.Context c)
    {
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.set_line_width (1.0);
        for (var i = 0; i < 4; i++)
        {
            c.arc (x + width / 2, y + height, height * (i / 3.9 + 0.1), -3 * Math.PI / 4, -Math.PI / 4);
            c.stroke ();
        }
    }
}
